﻿using Microsoft.Xna.Framework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SinkingTowerDirectX
{
    class Bullet :Sprite
    {
        int damage;
        public Bullet(Vector2 location, Vector2 direction)
        {
            this.location = location;
            this.velocity = direction;
            this.height = 8;
            this.width = 8;
            this.hitbox = new Rectangle(Convert.ToInt32(location.X), Convert.ToInt32(location.Y), this.width, this.height);
            this.damage = 5;
        }


        internal int Hit(List<Enemy> enemies)
        {
            int tally = 0;
            foreach (Enemy e in enemies)
            {
                if (!dead && !e.dead)
                {
                    if (this.hitbox.Intersects(e.hitbox))
                    {
                        this.dead = true;
                        e.health -= this.damage;
                        tally += this.damage;

                        if (e.health <=0)
                        {
                            e.dead = true;

                        }
                        
                    }
                }
            }
            return tally;
        }
    }
}
