﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SinkingTowerDirectX
{
    class Sprite
    {
        public Texture2D texture;
        public Vector2 location;
        public Vector2 velocity;
        public Rectangle hitbox;
        public int height;
        public int width;
        public bool dead;

        public void Draw(SpriteBatch spriteBatch)
        {
            if (!dead)
            {
                spriteBatch.Draw(texture, location, Color.White);
            }
            
        }
        public void Update(GameTime gameTime)
        {
            this.location += this.velocity * (float)gameTime.ElapsedGameTime.TotalSeconds * 60;
            this.hitbox.X = Convert.ToInt32(this.location.X);
            this.hitbox.Y = Convert.ToInt32(this.location.Y);
        }

    }

}
